PDA

View Full Version : Problems running the gerbera sample symbian application



Hege
09-15-2004, 02:39 AM
Hi all,

I downloaded the gerbera OpenGL ES implementation for Symbian from http://www.khronos.org/devu/opengles_challenge/implementations/gerbera_downloads.html.

Included in the package was a sample application called eglsymbian. After I copied the lib and dll to their place in the SDK release directory, I was able to build the application. However, I can't make it run on any Series60 emulator. The application exits with "System error" when I try to run it. On the actual device the application runs fine. What could be the problem?

I'm using Nokia Series60 SDK's 1.2 and 2.1 along with MS Visual Studio .Net and a Nokia N-Gage QD.

Thanks in advance for any help/suggestions!

-Hege-

sampo
09-15-2004, 04:43 AM
<BLOCKQUOTE><font size="1" face="Arial, Verdana, Helvetica, sans-serif">quote:</font><HR>Originally posted by Hege:
Hi all,

I downloaded the gerbera OpenGL ES implementation for Symbian from [URL=http://www.khronos.org/devu/opengles_challenge/implementations/gerbera_downloads.html.]http://www.khronos.org/devu/opengles_challenge/implementations/gerbera_downloads.html.[/ URL]

Included in the package was a sample application called eglsymbian. After I copied the lib and dll to their place in the SDK release directory, I was able to build the application. However, I can't make it run on any Series60 emulator. The application exits with "System error" when I try to run it. On the actual device the application runs fine. What could be the problem?

I'm using Nokia Series60 SDK's 1.2 and 2.1 along with MS Visual Studio .Net and a Nokia N-Gage QD.

Thanks in advance for any help/suggestions!

-Hege-<HR></BLOCKQUOTE>

Hi Hege,

It seems that the emulator can't find the libGLES_CM.dll. Make sure that you have copied it and the libGLES_CM.lib from




to the following two directories:







Note also that Series60 SDK 2.1 is not supported currently, use version 1.2 instead.

Hope this helps,

Sampo

Hege
09-15-2004, 10:00 PM
Hi and thanks for the quick reply!

Yeah, I think finding the dll is the problem. However, it seems it was somehow related to my compiler. I switched to MS Visual Studio 6.0 and the application started running ok. I still can't get it to run with Visual Studio .Net.

Is this a known issue? Anyway, I think I'll just stick to VS 6.0 then.

-Hege-

sampo
09-15-2004, 10:52 PM
Here is a relating Q/A from Symbian's knowledgebase:
http://www3.symbian.com/faq.nsf/0/9BFE891117E8EAD080256E6000584395?OpenDocument

which answers your questions pretty well:

<BLOCKQUOTE><font size="1" face="Arial, Verdana, Helvetica, sans-serif">quote:</font><HR>
Symbian does not guarantee or test the use of Symbian OS C++ SDKs in conjunction with Visual Studio .NET. For Symbian OS v7.0 and v7.0s, and for v8.x, Symbian enables two kinds of C++ SDK products:
<UL TYPE=SQUARE><LI>WINS - built with the Microsoft Visual Studio v6.0 compiler
<LI>WINSCW - built with the Metrowerks CodeWarrior compiler[/list]<HR></BLOCKQUOTE>

As we have support only for wins emulator, using of MS Visual Studio 6.0 is recommended.

Cheers,
Sampo